<!--
SPDX-FileCopyrightText: 2025 Moritz Hanke <hanke@dkrz.de>

SPDX-License-Identifier: BSD-3-Clause
-->

## Elmer/Ice dummy

This code demonstrates how the basic YAC calls could be implemented in an
Elmer/Ice component.

## Building

In root directory:

```
make
```

This will download a paritioned MESH covering Greenland and build the
Elmer/Ice and ICON dummy.

## Usage

In root directory:

```
mpirun \
  -n 1 ./src/icon_dummy.x \
    ./mesh/icon_grid_0054_R02B08_G.nc \
    ./data/mbe3064_atm_elmer_monmean_1979.nc \
    ./data/varlist_elmerfile : \
  -n $N ./src/elmer_dummy.x \
    ./mesh/MESH/partitioning.128 \
    128 \
    ./config/coupling.yaml
```
(where `$N` is the number of Elmer/Ice-dummy processes)

The single ICON process will read in its grid and register all available
variables in YAC. During the timestepping it will provide all fields that are
requested from the Elmer/Ice-dummy component
(data is available at 6h intervals).

All Elmer/Ice-dummy processes will read in a part of the mesh and execute all
YAC calls required for coupling. During the timestepping, this component will
receive the requested fields from the ICON-dummy component at the coupling
intervals defined in the coupling.yaml.
