// SPDX-FileCopyrightText: 2025 Moritz Hanke <hanke@dkrz.de>
//
// SPDX-License-Identifier: BSD-3-Clause

#ifndef ICON_VARLIST_H
#define ICON_VARLIST_H

struct icon_varlist {
  int ncid;
  size_t ncells;
  size_t num_vars;
  struct {
    char const * name;
    char const * long_name;
    char const * units;
    int varid;
  } vars[];
};

void get_icon_varlist(
  char const * varlist_filename, char const * data_filename,
  struct icon_varlist ** varlist);

void free_icon_varlist(struct icon_varlist * varlist);

#endif // ICON_VARLIST_H
